"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mySorts = exports.myFilters = exports.asSortsCollection = exports.asFilterCollection = void 0;
var asFilterCollection = function (arg) { return arg; };
exports.asFilterCollection = asFilterCollection;
var asSortsCollection = function (arg) { return arg; };
exports.asSortsCollection = asSortsCollection;
// const asSortsCollection = <T>(arg: Record<keyof T,SortsType>) => arg;
exports.myFilters = (0, exports.asFilterCollection)({
    isPublished: {
        property: 'isPublished',
        checkbox: {
            equals: true
        }
    },
    curated: {
        property: 'curation',
        select: {
            is_not_empty: true
        }
    }
});
exports.mySorts = (0, exports.asSortsCollection)({
    curationName: [
        {
            property: 'curation',
            direction: 'ascending'
        }
    ],
    timeDescending: [
        {
            timestamp: 'last_edited_time',
            direction: 'descending'
        },
        {
            property: 'timePublished',
            direction: 'descending'
        }
    ]
});
