"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pageServerHandler = void 0;
var convertNotionId_1 = require("../utils/convertNotionId");
var pageServerHandler = function (app, data_set) {
    app.get('/page/:id', function (req, res) {
        // console.log(page_collection);
        var convertedId = (0, convertNotionId_1.convertNotionId)(req.params.id, 'dashed');
        data_set.page_collection
            ? req.params.id && convertedId
                ? res.send(data_set.page_collection[convertedId])
                : res.sendStatus(502)
            : res.sendStatus(503);
    });
};
exports.pageServerHandler = pageServerHandler;
